package com.dxhy.common.enums;

import lombok.AllArgsConstructor;

/**
 * 抵账统计表确认状态
 * 
 * @author kangzq 20190507
 *
 */
@AllArgsConstructor
public enum JQsStatusEnum {
    /**
     * 签收状态
     */
    A("0", "签收失败"), B("1", "签收成功");

    private final String key;
    private final String value;

    public static String getVal(String key) {
        for (JQsStatusEnum materialEnum : JQsStatusEnum.values()) {
            if (materialEnum.key.equals(key)) {
                return materialEnum.value;
            }
        }
        return null;
    }
}
